<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.qmth.boot</groupId>
    <artifactId>qmth-boot</artifactId>
    <packaging>pom</packaging>
    <version>1.0.4</version>

    <modules>
        <module>starter-api</module>
        <module>tools-poi</module>
        <module>tools-signature</module>
        <module>tools-common</module>
        <module>tools-device</module>
        <module>tools-pdf</module>
        <module>tools-freemarker</module>
        <module>tools-zxing</module>
        <module>data-redis</module>
        <module>data-mybatis-plus</module>
        <module>core-models</module>
        <module>core-concurrent</module>
        <module>core-uid</module>
        <module>core-rate-limit</module>
        <module>core-security</module>
        <module>core-logging</module>
        <module>core-cache</module>
        <module>core-schedule</module>
        <module>core-fss</module>
        <module>core-solar</module>
        <module>core-retrofit</module>
        <module>core-sms</module>
    </modules>

    <name>qmth-boot</name>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <springboot.version>2.3.7.RELEASE</springboot.version>
        <okhttp.version>3.14.9</okhttp.version>
        <io.micrometer.version>1.10.4</io.micrometer.version>
        <openpdf.version>1.3.33</openpdf.version>
        <zxing.version>3.5.2</zxing.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- inner modules -->
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>starter-api</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>tools-signature</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>tools-poi</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>tools-device</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>tools-pdf</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>tools-freemarker</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>tools-zxing</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>tools-common</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-security</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-uid</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-rate-limit</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-logging</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-models</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-concurrent</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-cache</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-schedule</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-fss</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-solar</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-retrofit</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-sms</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>data-redis</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>data-mybatis-plus</artifactId>
                <version>${project.version}</version>
            </dependency>
            <!-- spring modules -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-web</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-autoconfigure</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-logging</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-validation</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-cache</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-jdbc</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-data-redis</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-aop</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-test</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <!-- spring-boot-actuator依赖 -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-actuator</artifactId>
                <version>${springboot.version}</version>
            </dependency>
            <!-- micrometer-core依赖 -->
            <dependency>
                <groupId>io.micrometer</groupId>
                <artifactId>micrometer-core</artifactId>
                <version>${io.micrometer.version}</version>
            </dependency>
            <!-- micrometer-prometheus依赖 -->
            <dependency>
                <groupId>io.micrometer</groupId>
                <artifactId>micrometer-registry-prometheus</artifactId>
                <version>${io.micrometer.version}</version>
            </dependency>
            <!-- thirdpart modules -->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>3.11</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/commons-codec/commons-codec -->
            <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>1.15</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-core -->
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-core</artifactId>
                <version>2.11.3</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>2.11.3</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.datatype</groupId>
                <artifactId>jackson-datatype-jsr310</artifactId>
                <version>2.11.3</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-annotations</artifactId>
                <version>2.11.3</version>
            </dependency>
            <dependency>
                <groupId>com.github.ben-manes.caffeine</groupId>
                <artifactId>caffeine</artifactId>
                <version>2.8.8</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/org.redisson/redisson -->
            <dependency>
                <groupId>org.redisson</groupId>
                <artifactId>redisson</artifactId>
                <version>3.15.0</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/org.redisson/redisson-spring-data-21 -->
            <dependency>
                <groupId>org.redisson</groupId>
                <artifactId>redisson-spring-data-21</artifactId>
                <version>3.15.0</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.baomidou/mybatis-plus-boot-starter -->
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>3.4.2</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml -->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>5.0.0</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/mysql/mysql-connector-java -->
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>8.0.23</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.aliyun.oss/aliyun-sdk-oss -->
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>3.12.0</version>
            </dependency>
            <dependency>
                <groupId>javax.xml.bind</groupId>
                <artifactId>jaxb-api</artifactId>
                <version>2.3.1</version>
            </dependency>
            <dependency>
                <groupId>javax.activation</groupId>
                <artifactId>activation</artifactId>
                <version>1.1.1</version>
            </dependency>
            <dependency>
                <groupId>org.glassfish.jaxb</groupId>
                <artifactId>jaxb-runtime</artifactId>
                <version>2.3.3</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.squareup.retrofit2/retrofit -->
            <dependency>
                <groupId>com.squareup.retrofit2</groupId>
                <artifactId>retrofit</artifactId>
                <version>2.9.0</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.squareup.retrofit2/converter-scalars -->
            <dependency>
                <groupId>com.squareup.retrofit2</groupId>
                <artifactId>converter-scalars</artifactId>
                <version>2.9.0</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.squareup.retrofit2/converter-jackson -->
            <dependency>
                <groupId>com.squareup.retrofit2</groupId>
                <artifactId>converter-jackson</artifactId>
                <version>2.9.0</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.squareup.okhttp3/okhttp -->
            <dependency>
                <groupId>com.squareup.okhttp3</groupId>
                <artifactId>okhttp</artifactId>
                <version>${okhttp.version}</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.squareup.okhttp3/logging-interceptor -->
            <dependency>
                <groupId>com.squareup.okhttp3</groupId>
                <artifactId>logging-interceptor</artifactId>
                <version>${okhttp.version}</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.github.oshi/oshi-core -->
            <dependency>
                <groupId>com.github.oshi</groupId>
                <artifactId>oshi-core</artifactId>
                <version>5.8.2</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/net.java.dev.jna/jna -->
            <dependency>
                <groupId>net.java.dev.jna</groupId>
                <artifactId>jna</artifactId>
                <version>5.9.0</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/net.java.dev.jna/jna-platform -->
            <dependency>
                <groupId>net.java.dev.jna</groupId>
                <artifactId>jna-platform</artifactId>
                <version>5.9.0</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/org.slf4j/slf4j-api -->
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>1.7.32</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.github.librepdf/openpdf -->
            <dependency>
                <groupId>com.github.librepdf</groupId>
                <artifactId>openpdf</artifactId>
                <version>${openpdf.version}</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.github.librepdf/openpdf-fonts-extra -->
            <dependency>
                <groupId>com.github.librepdf</groupId>
                <artifactId>openpdf-fonts-extra</artifactId>
                <version>${openpdf.version}</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/org.freemarker/freemarker -->
            <dependency>
                <groupId>org.freemarker</groupId>
                <artifactId>freemarker</artifactId>
                <version>2.3.32</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.google.zxing/core -->
            <dependency>
                <groupId>com.google.zxing</groupId>
                <artifactId>core</artifactId>
                <version>${zxing.version}</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/com.google.zxing/javase -->
            <dependency>
                <groupId>com.google.zxing</groupId>
                <artifactId>javase</artifactId>
                <version>${zxing.version}</version>
            </dependency>
            <dependency>
                <groupId>com.github.ulisesbocchio</groupId>
                <artifactId>jasypt-spring-boot-starter</artifactId>
                <version>3.0.5</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/org.bouncycastle/bcprov-jdk18on -->
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk18on</artifactId>
                <version>1.77</version>
            </dependency>
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>4.12</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <artifactId>maven-source-plugin</artifactId>
                <version>3.2.1</version>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>jar-no-fork</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
